package fakers

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"moretcgshop/app/models"
	"time"
)

func SectionFaker(db *gorm.DB) []*models.Section {
	var res []*models.Section

	var temp *models.Section
	var games []string = []string{"One-Piece", "Yu-Gi-Oh", "My Little Pony"}

	for _, game := range games {
		temp = &models.Section{
			ID:        uuid.New().String(),
			Name:      game,
			CreatedAt: time.Time{},
			UpdatedAt: time.Time{},
		}
		res = append(res, temp)
	}
	return res
}
